Skip to main content
GET
/
v1
/
monitors
List Monitors
curl --request GET \
  --url https://api.olostep.com/v1/monitors \
  --header 'Authorization: Bearer <token>'
{
  "monitors": [
    {
      "team_id": "<string>",
      "monitor_id": "<string>",
      "status": "<string>",
      "agent_id": "<string>",
      "fda_id": "<string>",
      "schedule_id": "<string>",
      "schedule_name": "<string>",
      "query": "<string>",
      "url": "<string>",
      "frequency": "hourly",
      "cron_expression": "<string>",
      "notification_channel": "email",
      "notification_target": "<string>",
      "metadata": {},
      "error_message": "<string>",
      "created_at": 123,
      "updated_at": 123
    }
  ],
  "count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.olostep.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer , where is your auth token.

Query Parameters

include_deleted
enum<string>
default:false

Set to true to include deleted monitors.

Available options:
true,
false

Response

Successful response with list of monitors.

monitors
object[]
count
integer